Bug 100764 - xemacs MH-E mode funnies
xemacs MH-E mode funnies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xemacs-sumo (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
:
: 102045 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 22:55 EDT by Horst H. von Brand
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 07:36:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Customization in force (243 bytes, text/plain)
2003-10-06 14:53 EDT, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2003-07-24 22:55:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
xemacs MH-E mode has many problems:
- Existing folders aren't found, but can be opened by creating them (?)
- "Toolbar spec must be list or nil: #<buffer "draft-1">" when composing   a message
- "Message xxx doesn't exist" when selecting from inbox
- +inbox displays with funny % before date
- Occasional complaints that mhparam doesn't work

GNU emacs seems to work fine.

Version-Release number of selected component (if applicable): 21.4.13-4



How reproducible:
Always

Steps to Reproduce:
1.Try to use xemacs configured for using mh for mail...
2.
3.
    

Actual Results:  See description

Additional info:
Comment 1 Jens Petersen 2003-07-26 03:44:11 EDT
Does this represent a regression against earlier versions?
Comment 2 Horst H. von Brand 2003-07-27 13:58:23 EDT
This is a regression on xemacs-21.4.12-6 (RH 9), which I'm currently running
here. In fact, the much better handling of MH was one of the reasons to switch
off GNU emacs. Under RH 10 it is almost useless.
Comment 3 Jens Petersen 2003-07-27 21:40:00 EDT
Ok, in that case it would be best to contact the mh-e author (Bill Wohler
<wohler@newt.com>) and also xemacs-beta@xemacs.org about these problems.  The
version of mh-e in RHL9 is 7.1. The current version in xemacs-sumo-20030629 is
7.3.

Version 7.2 was in xemacs-sumo-20030414 (though the original xemacs package
mh-e-1.20-pkg.tar.gz doesn't seem available anymore), so could you try

  http://people.redhat.com/petersen/mh-e-7.2-pkg.tar.gz

which I just extracted out of it, and see that works any better?

Hopefully the problems can be sorted out upstream, otherwise the mh-e package
could be reverted.
Comment 4 Jens Petersen 2003-07-27 22:20:05 EDT
(By "try" I mean, can you extract the above xemacs elisp package into your
".xemacs/xemacs-packages/" directory and try it in a new xemacs session.)
Comment 5 Jens Petersen 2003-09-02 07:42:04 EDT
*** Bug 102045 has been marked as a duplicate of this bug. ***
Comment 6 Jens Petersen 2003-09-05 03:57:32 EDT
A new mh-e test package is available from:

ftp://ftp.xemacs.org/pub/xemacs/beta/experimental/packages/mh-e-1.24-pkg.tar.gz

Could please install that as I explained earlier and test that?
Thanks.
Comment 7 Jens Petersen 2003-10-06 02:58:04 EDT
mh-e 7.4.2 is xemacs-sumo-20031003-1, could you please try that?
It should be in rawhide soon.
Comment 8 Horst H. von Brand 2003-10-06 14:53:08 EDT
Created attachment 94954 [details]
Customization in force
Comment 9 Jens Petersen 2003-10-07 03:03:12 EDT
Sorry, not sure what to make of your attachment.

Is that needed to reproduce your problem?
Comment 10 Horst H. von Brand 2003-10-07 11:26:57 EDT
Oops, seems that just the attachment got there, not the message. Sorry.

Dunno, but the behaviour now looks a lot like "can't find the configuration
telling me what to do in each case, so I just bail out at the first sign of
trouble", and said configuration should be on what it complains:

Toolbar spec must be list or nil: #<buffer "+inbox">

The attachment is my .xemacs/custom.el file, created by using the Options menu
of xemacs, and which looks fine to my untrained eye (but might be missing
something?).
Comment 11 Jens Petersen 2003-10-15 03:17:53 EDT
So if you move this customization out of the way, it mh-e works ok for you??
Comment 12 Horst H. von Brand 2003-10-15 11:12:55 EDT
It works, sort of. But with or without customization it is the same (I scapped
.xemacs and started from scratch, same problem). Each command complains about
the toolbar (as I stated before), some don't work.

Sorry to be of so little help.
Comment 13 Jens Petersen 2003-10-17 04:14:03 EDT
Reproduced.  Backtrace below.
Contacted mh-e upstream for input.

Signaling: (error "Toolbar spec must be list or nil" #<buffer "+inbox">)
  check-valid-instantiator(#<buffer "+inbox"> toolbar)
  canonicalize-spec(#<buffer "+inbox"> toolbar nil)
  byte-code("..." [specifier-type res2 noerror spec-list result rest nil throw
cann-spec-list t signal error "Invalid list format" canonicalize-spec] 5)
  canonicalize-spec-list((#<buffer "+inbox"> [mh-xemacs-toolbar-inc-folder-icon
mh-inc-folder t "Incorporate new mail in Inbox\nThis button runs `mh-inc-folder'
which drags any\nnew mail into your Inbox folder."]
[mh-xemacs-toolbar-mime-save-parts-icon mh-mime-save-parts t "Save MIME parts
from this message\nThis button runs `mh-mime-save-parts' which saves a
message's\ndifferent parts into separate files."]
[mh-xemacs-toolbar-previous-undeleted-msg-icon mh-previous-undeleted-msg t "Go
to the previous undeleted message\nThis button runs
`mh-previous-undeleted-msg'"] [mh-xemacs-toolbar-page-msg-icon mh-page-msg t
"Page the current message forwards\nThis button runs `mh-page-msg'"]
[mh-xemacs-toolbar-next-undeleted-msg-icon mh-next-undeleted-msg t "Go to the
next undeleted message\nThe button runs `mh-next-undeleted-msg'"]
[mh-xemacs-toolbar-delete-msg-icon mh-delete-msg t "Mark this message for
deletion\nThis button runs `mh-delete-msg'"] [mh-xemacs-toolbar-refile-msg-icon
mh-refile-msg t "Refile this message\nThis button runs `mh-refile-msg'"]
[mh-xemacs-toolbar-undo-icon mh-undo t "Undo last operation\nThis button runs
`undo'"] [mh-xemacs-toolbar-execute-commands-icon mh-execute-commands t "Perform
moves and deletes\nThis button runs `mh-execute-commands'"]
[mh-xemacs-toolbar-toggle-tick-icon mh-toggle-tick t "Toggle tick mark\nThis
button runs `mh-toggle-tick'"] [mh-xemacs-toolbar-reply-icon mh-reply t "Reply
to this message\nThis button runs `mh-reply'"]
[mh-xemacs-toolbar-alias-grab-from-field-icon mh-alias-grab-from-field t "Grab
From alias\nThis button runs `mh-alias-grab-from-field'"]
[mh-xemacs-toolbar-send-icon mh-send t "Compose new message\nThis button runs
`mh-send'"] [mh-xemacs-toolbar-rescan-folder-icon mh-rescan-folder t "Rescan
this folder\nThis button runs `mh-rescan-folder'"]
[mh-xemacs-toolbar-search-icon mh-tool-bar-search t "Search\nThis button runs
`mh-tool-bar-search-function'"] [mh-xemacs-toolbar-visit-folder-icon
mh-visit-folder t "Visit other folder\nThis button runs `mh-visit-folder'"]
[mh-xemacs-toolbar-preferences-icon mh-tool-bar-customize t "MH-E Preferences"]
[mh-xemacs-toolbar-help-icon mh-tool-bar-folder-help t "Help! (general
help)\nThis button runs `Info-goto-node'"] [mh-xemacs-toolbar-widen-icon
mh-widen t "Widen from the sequence\nThis button runs `mh-widen'"]) toolbar)
  set-specifier(#<toolbar-specifier global=([toolbar-file-icon toolbar-open t
"Open a file"] [toolbar-folder-icon toolbar-dired t "Edit a directory"]
[toolbar-disk-icon toolbar-save t "Save buffer"] [toolbar-printer-icon
toolbar-print t "Print buffer"] [toolbar-cut-icon toolbar-cut t "Kill region"]
[toolbar-copy-icon toolbar-copy t "Copy region"] ...) fallback=((nil)) 0x186>
([mh-xemacs-toolbar-inc-folder-icon mh-inc-folder t "Incorporate new mail in
Inbox\nThis button runs `mh-inc-folder' which drags any\nnew mail into your
Inbox folder."] [mh-xemacs-toolbar-mime-save-parts-icon mh-mime-save-parts t
"Save MIME parts from this message\nThis button runs `mh-mime-save-parts' which
saves a message's\ndifferent parts into separate files."]
[mh-xemacs-toolbar-previous-undeleted-msg-icon mh-previous-undeleted-msg t "Go
to the previous undeleted message\nThis button runs
`mh-previous-undeleted-msg'"] [mh-xemacs-toolbar-page-msg-icon mh-page-msg t
"Page the current message forwards\nThis button runs `mh-page-msg'"]
[mh-xemacs-toolbar-next-undeleted-msg-icon mh-next-undeleted-msg t "Go to the
next undeleted message\nThe button runs `mh-next-undeleted-msg'"]
[mh-xemacs-toolbar-delete-msg-icon mh-delete-msg t "Mark this message for
deletion\nThis button runs `mh-delete-msg'"] [mh-xemacs-toolbar-refile-msg-icon
mh-refile-msg t "Refile this message\nThis button runs `mh-refile-msg'"]
[mh-xemacs-toolbar-undo-icon mh-undo t "Undo last operation\nThis button runs
`undo'"] [mh-xemacs-toolbar-execute-commands-icon mh-execute-commands t "Perform
moves and deletes\nThis button runs `mh-execute-commands'"]
[mh-xemacs-toolbar-toggle-tick-icon mh-toggle-tick t "Toggle tick mark\nThis
button runs `mh-toggle-tick'"] [mh-xemacs-toolbar-reply-icon mh-reply t "Reply
to this message\nThis button runs `mh-reply'"]
[mh-xemacs-toolbar-alias-grab-from-field-icon mh-alias-grab-from-field t "Grab
From alias\nThis button runs `mh-alias-grab-from-field'"]
[mh-xemacs-toolbar-send-icon mh-send t "Compose new message\nThis button runs
`mh-send'"] [mh-xemacs-toolbar-rescan-folder-icon mh-rescan-folder t "Rescan
this folder\nThis button runs `mh-rescan-folder'"]
[mh-xemacs-toolbar-search-icon mh-tool-bar-search t "Search\nThis button runs
`mh-tool-bar-search-function'"] [mh-xemacs-toolbar-visit-folder-icon
mh-visit-folder t "Visit other folder\nThis button runs `mh-visit-folder'"]
[mh-xemacs-toolbar-preferences-icon mh-tool-bar-customize t "MH-E Preferences"]
[mh-xemacs-toolbar-help-icon mh-tool-bar-folder-help t "Help! (general
help)\nThis button runs `Info-goto-node'"] [mh-xemacs-toolbar-widen-icon
mh-widen t "Widen from the sequence\nThis button runs `mh-widen'"]) #<buffer
"+inbox">)
  mh-toolbar-init(:folder)
  mh-folder-mode()
  mh-make-folder("+inbox")
  mh-scan-folder("+inbox" "unseen")
  mh-visit-folder("+inbox" "unseen")
  mh-rmail(nil)
  call-interactively(mh-rmail)
  command-execute(mh-rmail t)
  execute-extended-command(nil)
  call-interactively(execute-extended-command)
Comment 14 Jens Petersen 2003-10-17 09:20:08 EDT
This also seems to occur with mh-e-1.23-pkg.

mh-e 7.2 (1.19) and earlier seem to be ok.
Comment 15 Jens Petersen 2003-10-17 20:48:46 EDT
http://list-archive.xemacs.org/xemacs-beta/200307/msg00138.html

Should be fixed in xemacs-sumo-20031003-3.  Please confirm.

Note You need to log in before you can comment on or make changes to this bug.